Subject: Re: [I2nsf] Hi, Paul. I am confusing that why you have done so many changes of the data model in current I2NSF NSF facing interface DM draft?

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Tue, 19 Mar 2019 14:37:37 +0900

Hi Frank,
During the WG Adoption Call for NSF Monitoring Data Model Draft,
there were comments on the formatting of the Monitoring YANG data model
from Tom Petch at OPSA WG.
We addressed most of his comments.

My team used the following RFCs for YANG tree and module formatting:
[RFC6087] Bierman, A., "Guidelines for Authors and Reviewers of YANG Data
Model Documents",
RFC 6087, DOI 10.17487/RFC6087,
January 2011, <https://www.rfc-editor.org/info/rfc6087>.

Also, my team synchronized the three I2NSF interfaces for three use cases:
- Firewall and Web Filter: Block SNS Access during Business Hours
- Deep Packet Inspection: Block Malicious VoIP/VoLTE Packets Coming to the
Company
- Attack Mitigation: Mitigate HTTP and HTTPS Flood Attacks on a Company Web
Server

However, our data models are synchronized with your NSF Capabilities
Information Model.

I believe the current data models are pretty mature for WGLC.

Thanks.

Best Regards,
Paul

On Tue, Mar 19, 2019 at 12:08 PM Xialiang (Frank, Network Standard & Patent
Dept) <[email-masked]> wrote:

> Hi Paul,
>
> Sorry for raise this question a bit later, but I am wondering why your
> team have made so many changes to the existed and stable data model for the
> I2NSF NSF facing interface?
>
>
>
> B.R.
>
> Frank
>

-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>